<?php
class DevtoolPageRules
{

	public static function getInstance()
	{
		return new DevtoolPageRules();
	}
	private $twig;
	private $mysqli;

	private function __construct()
	{
		$this->twig = new TwigWrapper();
		$this->mysqli = MySqliWrapper::getInstance();
	}

	public function process()
	{
		$sql = "SELECT *
				FROM page_instructions";
		$pageInfo = $this->mysqli->get($sql);
		$options = array("pages" => $pageInfo, "title" => "Page Rules");
		return $this->twig->render("devtool_pagerules.html", $options);
	}
}